Package: org.grails.web.databinding.bindingsource

## [Groovy] Class DefaultDataBindingSourceRegistry

- org.grails.web.databinding.bindingsource.DefaultDataBindingSourceRegistry

- All Implemented Interfaces and Traits:
    DataBindingSourceRegistry

      @groovy.transform.CompileStatic
      class DefaultDataBindingSourceRegistry
      extends ClassAndMimeTypeRegistry

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)`
    `` | `DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `protected DataBindingSourceCreator` | `getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)`
    `` | `void` | `initialize()`
    `` | `void` | `setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassAndMimeTypeRegistry` | `addToRegisteredObjects, createCacheKey, findMatchingObjectForMimeType, findRegisteredObjectForType, getRegisteredObjects, registerDefault, removeFromCache`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override void addDataBindingSourceCreator(DataBindingSourceCreator creator)

    - #### @java.lang.Override DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey createCacheKey(java.lang.Class type, MimeType mimeType)

    - #### @java.lang.Override CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected DataBindingSourceCreator getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)

    - #### @javax.annotation.PostConstruct void initialize()

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)